org.richfaces.taglib

## Class ContextMenuTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.ContextMenuTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ContextMenuTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAttached(javax.el.ValueExpression __attached)` If the value of the "attached" attribute is true, the component is attached to the component, specified in the "attachTo" attribute or to the parent component, if "attachTo" is not defined.
    `void` | `setAttachTiming(javax.el.ValueExpression __attachTiming)` Defines the timing when the menu is attached to the target element.
    `void` | `setAttachTo(javax.el.ValueExpression __attachTo)` Client identifier of the component or id of the existing DOM element that is a source for a given event.
    `void` | `setDisableDefaultMenu(javax.el.ValueExpression __disableDefaultMenu)` Forbids default handling for adjusted event.
    `void` | `setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
    `void` | `setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)` CSS style(s) is/are to be applied to disabled item when this component is rendered.
    `void` | `setEvent(javax.el.ValueExpression __event)` Defines an event on the parent element to display the menu.
    `void` | `setHideDelay(javax.el.ValueExpression __hideDelay)` Delay between losing focus and menu closing.
    `void` | `setItemClass(javax.el.ValueExpression __itemClass)` Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
    `void` | `setItemStyle(javax.el.ValueExpression __itemStyle)` CSS style(s) is/are to be applied to item when this component is rendered.
    `void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` HTML: script expression; a menu is collapsed.
    `void` | `setOnexpand(javax.el.ValueExpression __onexpand)` HTML: script expression; a menu is expanded.
    `void` | `setOngroupactivate(javax.el.ValueExpression __ongroupactivate)` HTML: script expression; some group was activated Setter for ongroupactivate
    `void` | `setOnitemselect(javax.el.ValueExpression __onitemselect)` HTML: script expression; some item was selected Setter for onitemselect
    `void` | `setPopupWidth(javax.el.ValueExpression __popupWidth)` Set minimal width for the all of the lists that will appear Setter for popupWidth
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setSelectItemClass(javax.el.ValueExpression __selectItemClass)` Space-separated list of CSS style class(es) that are be applied to selected item of this component.
    `void` | `setSelectItemStyle(javax.el.ValueExpression __selectItemStyle)` CSS style(s) is/are to be applied to selected item when this component is rendered.
    `void` | `setShowDelay(javax.el.ValueExpression __showDelay)` Delay between event and menu showing.
    `void` | `setSubmitMode(javax.el.ValueExpression __submitMode)` Sets the submission mode for all menu items of the menu except those where this attribute redefined.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ContextMenuTag

          public ContextMenuTag()

  - ### Method Detail

    - #### setAttachTiming

          public void setAttachTiming(javax.el.ValueExpression __attachTiming)

      Defines the timing when the menu is attached to the target element. Possible values "onload", "immediate", "onavailable" (default). Default value is "onavailable". Setter for attachTiming
      Parameters:
        `attachTiming` - - new value

    - #### setAttachTo

          public void setAttachTo(javax.el.ValueExpression __attachTo)

      Client identifier of the component or id of the existing DOM element that is a source for a given event. If attachTo is defined, the event is attached on the client according to the AttachTiming attribute. If both attached and attachTo attributes are defined, and attribute attached has value 'false', it is considered to have higher priority. Setter for attachTo
      Parameters:
        `attachTo` - - new value

    - #### setAttached

          public void setAttached(javax.el.ValueExpression __attached)

      If the value of the "attached" attribute is true, the component is attached to the component, specified in the "attachTo" attribute or to the parent component, if "attachTo" is not defined. Default value is "true". Setter for attached
      Parameters:
        `attached` - - new value

    - #### setDisableDefaultMenu

          public void setDisableDefaultMenu(javax.el.ValueExpression __disableDefaultMenu)

      Forbids default handling for adjusted event. Default value "false". Setter for disableDefaultMenu
      Parameters:
        `disableDefaultMenu` - - new value

    - #### setDisabledItemClass

          public void setDisabledItemClass(javax.el.ValueExpression __disabledItemClass)

      Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
      Parameters:
        `disabledItemClass` - - new value

    - #### setDisabledItemStyle

          public void setDisabledItemStyle(javax.el.ValueExpression __disabledItemStyle)

      CSS style(s) is/are to be applied to disabled item when this component is rendered. Setter for disabledItemStyle
      Parameters:
        `disabledItemStyle` - - new value

    - #### setEvent

          public void setEvent(javax.el.ValueExpression __event)

      Defines an event on the parent element to display the menu. Default value is "oncontextmenu". Setter for event
      Parameters:
        `event` - - new value

    - #### setHideDelay

          public void setHideDelay(javax.el.ValueExpression __hideDelay)

      Delay between losing focus and menu closing. Default value is "800". Setter for hideDelay
      Parameters:
        `hideDelay` - - new value

    - #### setItemClass

          public void setItemClass(javax.el.ValueExpression __itemClass)

      Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
      Parameters:
        `itemClass` - - new value

    - #### setItemStyle

          public void setItemStyle(javax.el.ValueExpression __itemStyle)

      CSS style(s) is/are to be applied to item when this component is rendered. Setter for itemStyle
      Parameters:
        `itemStyle` - - new value

    - #### setOncollapse

          public void setOncollapse(javax.el.ValueExpression __oncollapse)

      HTML: script expression; a menu is collapsed. Setter for oncollapse
      Parameters:
        `oncollapse` - - new value

    - #### setOnexpand

          public void setOnexpand(javax.el.ValueExpression __onexpand)

      HTML: script expression; a menu is expanded. Setter for onexpand
      Parameters:
        `onexpand` - - new value

    - #### setOngroupactivate

          public void setOngroupactivate(javax.el.ValueExpression __ongroupactivate)

      HTML: script expression; some group was activated Setter for ongroupactivate
      Parameters:
        `ongroupactivate` - - new value

    - #### setOnitemselect

          public void setOnitemselect(javax.el.ValueExpression __onitemselect)

      HTML: script expression; some item was selected Setter for onitemselect
      Parameters:
        `onitemselect` - - new value

    - #### setPopupWidth

          public void setPopupWidth(javax.el.ValueExpression __popupWidth)

      Set minimal width for the all of the lists that will appear Setter for popupWidth
      Parameters:
        `popupWidth` - - new value

    - #### setSelectItemClass

          public void setSelectItemClass(javax.el.ValueExpression __selectItemClass)

      Space-separated list of CSS style class(es) that are be applied to selected item of this component. Setter for selectItemClass
      Parameters:
        `selectItemClass` - - new value

    - #### setSelectItemStyle

          public void setSelectItemStyle(javax.el.ValueExpression __selectItemStyle)

      CSS style(s) is/are to be applied to selected item when this component is rendered. Setter for selectItemStyle
      Parameters:
        `selectItemStyle` - - new value

    - #### setShowDelay

          public void setShowDelay(javax.el.ValueExpression __showDelay)

      Delay between event and menu showing. Default value is "50". Setter for showDelay
      Parameters:
        `showDelay` - - new value

    - #### setSubmitMode

          public void setSubmitMode(javax.el.ValueExpression __submitMode)

      Sets the submission mode for all menu items of the menu except those where this attribute redefined. Possible value are "ajax","server", "none". Default value is "server". Setter for submitMode
      Parameters:
        `submitMode` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.